aboutsummaryrefslogtreecommitdiffstats
path: root/opie-keyview
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2004-07-18 01:44:21 +0000
committerMichael Lauer <mickey@vanille-media.de>2004-07-18 01:44:21 +0000
commit913cf1a525550d93ff07e7a072af0abc54f7b93a (patch)
tree9992318750fbf394dd4b950124b6834020fad737 /opie-keyview
parent51aa80238a4918a95703b9fc7525daa1ff99c9c5 (diff)
downloadopenembedded-913cf1a525550d93ff07e7a072af0abc54f7b93a.tar.gz
Merge bk://openembedded@openembedded.bkbits.net/packages
into r2d2.tm.informatik.uni-frankfurt.de:/home/projekte/packages 2004/07/18 01:02:55+02:00 uni-frankfurt.de!mickey remove opie-liquid (it is already in and has the name opie-style-liquid) and repair the opie-keyview postinst/postrm BKrev: 40f9d5f5YSTxpmGMMVBv7KA4cvQfRw
Diffstat (limited to 'opie-keyview')
-rw-r--r--opie-keyview/opie-keyview_cvs.oe30
1 files changed, 30 insertions, 0 deletions
diff --git a/opie-keyview/opie-keyview_cvs.oe b/opie-keyview/opie-keyview_cvs.oe
index e69de29bb2..d3a052a329 100644
--- a/opie-keyview/opie-keyview_cvs.oe
+++ b/opie-keyview/opie-keyview_cvs.oe
@@ -0,0 +1,30 @@
+DESCRIPTION = "Keyview Development Inputmethod"
+SECTION = "opie/inputmethods"
+PRIORITY = "optional"
+LICENSE = "GPL"
+DEPENDS = "virtual/libqpe"
+PV = "1.1.4-cvs-${CVSDATE}"
+APPNAME = "keyview"
+
+SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;module=opie/development/keyview;date=${CVSDATE} "
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+/opt/QtPalmtop/bin/qcop QPE/TaskBar "reloadInputMethods()"
+}
+
+# FILES plugins/inputmethods/libkeyview.so*